services: 
  db: # контейнер базы данных
    image: mariadb:latest # самая свежая версия MySql
    hostname: wp_database # хост контейнера внутри стистемы докер
    container_name: wp_database # имя контейнера с системе docker
    volumes: # см. конец файла
      - db_data:/var/lib/mysql
    restart: always
    environment: # cекция настроек для БД
      TZ: "Europe/Moscow"
      MYSQL_ROOT_PASSWORD: somewordpress
      MYSQL_DATABASE: ${DB_NAME}
      MYSQL_USER: ${DB_USER}
      MYSQL_PASSWORD: ${DB_PASSWORD}

  phpmyadmin: # СУБД для БД
    depends_on: # запускаем после MySql
      - db
    image: phpmyadmin # скачиваем уже существующие образы для построения и запуска наших контейнеров
    hostname: php_my_admin
    container_name: php_my_admin
    volumes: # см. конец файла
      - php_my_admin_data:/var/www/html
    ports:
      - 8080:80
    restart: always
    environment:
      PMA_ARBITRARY: 1 # разрешение на подключения к любому серверу
      TZ: "Europe/Moscow"
      PMA_HOST: ${DB_HOST} # сразу заходим под нашими паролями и учёткой
      PMA_USER : ${DB_USER}
      PMA_PASSWORD : ${DB_PASSWORD}
  
  wordpress: # контейнер wordpress
    depends_on: # запускаем после MySql
      - db
    image: wordpress:latest # самая свежая версия MySql
    hostname: wp_app
    container_name: wp_app
    volumes: # см. конец файла
      - wordpress_data:/var/www/html
    ports:
      - "8000:80"
    restart: always
    user: www-data
    environment: # секция настроек для подключения wordpress к БД
      TZ: "Europe/Moscow"
      WORDPRESS_DB_HOST: ${DB_HOST}
      WORDPRESS_DB_USER: ${DB_USER}
      WORDPRESS_DB_PASSWORD: ${DB_PASSWORD}
      WORDPRESS_DB_NAME: ${DB_NAME}

  mediawiki: # контейнер mediawiki
    image: mediawiki:latest # образ MediaWiki
    container_name: mediawiki_app
    volumes: # см. конец файла
      - ./mediawiki_data:/var/www/html/mediawiki
    ports:
      - "8088:80"
    restart: always

volumes: # для локального хранения сессионных данных из работы контейнеров
  db_data: {}
  wordpress_data: {}
  php_my_admin_data: {}
  mediawiki: {}